# Default values for helm.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  registry: docker.gitlab.gwdg.de/dunkelzifferradar/modelling
  name: dzr_model_orchestration
  pullPolicy: IfNotPresent

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

database:
  credentialsName: database-credentials-read-write

endpoints:
  icr: http://model-icr-dzr-model-icr:8080/api/model/icr/evaluate
  siru: http://model-sir-dzr-model-sir:8080/api/model/siru/evaluate

service:
  name: http
  type: ClusterIP
  port: 8080
  protocol: TCP

cronjob:
  endpoint: /api/model/batchRun
  schedule: "0 2 * * *"
  concurrencyPolicy: Forbid

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
